Bug 209908 - Kernel Oops and file corruption when writing files to ext3 FS
Kernel Oops and file corruption when writing files to ext3 FS
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-07 18:36 EDT by David Mohring
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:41:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
syslog capture (2.68 KB, text/plain)
2006-10-07 18:36 EDT, David Mohring
no flags Details

  None (edit)
Description David Mohring 2006-10-07 18:36:02 EDT
Description of problem:

Intermittent Oops ( EIP is at journal_grab_journal_head ) and filesystem corruption.

It often most occurs when writing large files > 1G to ext3 FS on IDE. 
It can require booting into level 2 to fix with e2fsck.

Version-Release number of selected component (if applicable):

but may have occured before with 
How reproducible:

It an intermittent problem, can occur with normal samba fileserver usage, but
most often ( three times ) when writing large files to ext3 via netcat or scp . 

Steps to Reproduce:
1.  scp dvd.iso root@ppserv1:/tmp/dvd.iso
Actual results:

Message from syslogd@ppserv1 at Sat Oct  7 22:16:20 2006 ...
ppserv1 kernel: Oops: 0002 [#1]

Message from syslogd@ppserv1 at Sat Oct  7 22:16:21 2006 ...
ppserv1 kernel: CPU:    0

Message from syslogd@ppserv1 at Sat Oct  7 22:16:21 2006 ...
ppserv1 kernel: EIP is at journal_grab_journal_head+0xf/0x40 [jbd]

( syslog attached )

Expected results:

No opps / no corruption.

Additional info:

This is a desktop now running as a remote headless server.  
Hardware as been fully checked. No memory errors, no badblocks on the HDs, UPS
running fine, CPU  has passed burnin tests.

This is the first time I have managed to catch syslog output during an event.
Comment 1 David Mohring 2006-10-07 18:36:03 EDT
Created attachment 137985 [details]
syslog capture
Comment 2 Dave Jones 2006-10-10 01:02:38 EDT
Please try and reproduce with FC5.  FC4 will no longer be recieving non-security
Comment 3 Dave Jones 2006-10-16 15:42:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:41:38 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.